<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>netcoreapp2.0</TargetFramework>
    <ApplicationIcon />
    <OutputType>Library</OutputType>
    <StartupObject />
	<GenerateRuntimeConfigurationFiles>true</GenerateRuntimeConfigurationFiles>   
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.AspNetCore.All" Version="2.0.0" />
    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="2.0.0" />
  </ItemGroup>

  <ItemGroup>
    <DotNetCliToolReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Tools" Version="2.0.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Phoenix.Shared\Phoenix.Shared.csproj" />
    <ProjectReference Include="..\Phoenix.Web.Shared\Phoenix.Web.Shared.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Compile Update="Localizations\LangProjectManagement.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>LangProjectManagement.resx</DependentUpon>
    </Compile>
  </ItemGroup>

  <ItemGroup>
    <Content Update="Views\JobBrief\Detail.cshtml">
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Update="Localizations\LangProjectManagement.id.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Localizations\LangProjectManagement.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>LangProjectManagement.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>

  <Target Name="PreBuild" BeforeTargets="PreBuildEvent">
    
  </Target>

</Project>
